## org.apache.bcel.generic
Class ReturnInstruction

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ReturnInstruction

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, StackConsumer, TypedInstruction

Direct Known Subclasses:
  ARETURN, DRETURN, FRETURN, IRETURN, LRETURN, RETURN

    public abstract class ReturnInstruction

extends Instruction
implements ExceptionThrower, TypedInstruction, StackConsumer

Super class for the xRETURN family of instructions.

Version:
  $Id: ReturnInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `ReturnInstruction(short opcode)`

Method Summary
`Class[]` `getExceptions()`
`Type` `getType()`
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### ReturnInstruction

    protected ReturnInstruction(short opcode)

Parameters:
  `opcode` - of instruction

Method Detail

### getType

    public Type getType()

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    type associated with the instruction

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.